#pragma once
#include "resource.h"
#include "TDQTControl.h"


// CQuickTimeDlg, quicktime activeX container.

// message that changes member variable m_bFullscreen.
// The wParam should contain the BOOL bFullscreen.
#define WM_SET_FULLSCREEN WM_USER

class CQuickTimeDlg : public CDialog
{
        DECLARE_DYNAMIC(CQuickTimeDlg)

public:
        CQuickTimeDlg(const CString& strURL, BOOL bFullscreen, BOOL bMovieControllerVisible, CWnd* pParent = NULL);
        virtual ~CQuickTimeDlg();

        enum { IDD = IDD_DIALOG_QUICKTIME };

        afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);

        virtual BOOL OnInitDialog();

protected:
        virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV

        DECLARE_MESSAGE_MAP()

        LRESULT OnSetFullscreen(WPARAM bFullscreen, LPARAM /*unused*/);

private:
        CString m_strURL;
        TDQtControl m_kQtControl;
        BOOL m_bFullscreen;
        BOOL m_bMovieControllerVisible;
public:
        afx_msg void OnClose();
};
