#include "StdAfx.h"
#include "TDQtControl.h"

// I define this message because I know that QuickTimeDlg defines it.
// I do it this way so I don't have to include QuickTimeDlg.
#define WM_SET_FULLSCREEN WM_USER

TDQtControl::TDQtControl(CWnd* pkParent)
: m_pkContainer(pkParent)
{
}


TDQtControl::~TDQtControl(void)
{
}

BEGIN_MESSAGE_MAP(TDQtControl, CQtControl)
        ON_WM_SIZE()
        ON_WM_LBUTTONDBLCLK()
END_MESSAGE_MAP()

void TDQtControl::OnSize(UINT nType, int cx, int cy)
{
        CQtControl::OnSize(nType, cx, cy);

        if(!get_FullScreen())
        {
                m_pkContainer->SendMessage(WM_SET_FULLSCREEN, FALSE);// disable auto-hide on showWindow
                m_pkContainer->SetActiveWindow();// activate
                m_pkContainer->ShowWindow(TRUE);// show
        }
}

void TDQtControl::OnLButtonDblClk(UINT nFlags, CPoint point)
{
        put_FullScreen(!get_FullScreen());

        CQtControl::OnLButtonDblClk(nFlags, point);
}
